package misc;

import static org.junit.Assert.fail;
import jp.sourceforge.cfneo.at4ie2.TestSupport;

import org.junit.Test;

import watij.finders.SymbolFactory;
import watij.runtime.ie.IE;

public class WatijTest2 {

	@Test
	public void test() {
		try {
			IE ie = new IE();
			ie.start(TestSupport.TARGET_PATH + TestSupport.TARGET_FILE);

			System.out.println("[none]length=" + ie.checkboxes().length());
			System.out.println("[id=chk4]length=" + ie.checkboxes(SymbolFactory.id, "chk4").length());
			System.out.println("[name=check1]length=" + ie.checkboxes(SymbolFactory.name, "check1").length());

			ie.close();
		} catch (Exception e) {
			e.printStackTrace();
			fail();
		}
	}

}
